The system is: Windows - 10.0.19045 - AMD64
Compiling the CXX compiler identification source file "CMakeCXXCompilerId.cpp" succeeded.
Compiler: C:/Program Files (x86)/Microsoft Visual Studio/2019/Community/VC/Tools/MSVC/14.29.30133/bin/Hostx64/x64/cl.exe 
Build flags: 
Id flags:  

The output was:
0
用于 x64 的 Microsoft (R) C/C++ 优化编译器 19.29.30146 版
版权所有(C) Microsoft Corporation。保留所有权利。

CMakeCXXCompilerId.cpp
Microsoft (R) Incremental Linker Version 14.29.30146.0
Copyright (C) Microsoft Corporation.  All rights reserved.

/out:CMakeCXXCompilerId.exe 
CMakeCXXCompilerId.obj 


Compilation of the CXX compiler identification source "CMakeCXXCompilerId.cpp" produced "CMakeCXXCompilerId.exe"

Compilation of the CXX compiler identification source "CMakeCXXCompilerId.cpp" produced "CMakeCXXCompilerId.obj"

The CXX compiler identification is MSVC, found in "C:/Users/Jerry/Documents/QtProjects/deeplink_build_1034/CMakeFiles/3.24.2/CompilerIdCXX/CMakeCXXCompilerId.exe"

Detecting CXX compiler ABI info compiled with the following output:
Change Dir: C:/Users/Jerry/Documents/QtProjects/deeplink_build_1034/CMakeFiles/CMakeTmp

Run Build Command(s):D:/Code/chromium/depot_tools/ninja.exe cmTC_32b19 && [1/2] Building CXX object CMakeFiles\cmTC_32b19.dir\CMakeCXXCompilerABI.cpp.obj

[2/2] Linking CXX executable cmTC_32b19.exe




Compiling the C compiler identification source file "CMakeCCompilerId.c" succeeded.
Compiler: C:/Program Files (x86)/Microsoft Visual Studio/2019/Community/VC/Tools/MSVC/14.29.30133/bin/Hostx64/x64/cl.exe 
Build flags: 
Id flags:  

The output was:
0
用于 x64 的 Microsoft (R) C/C++ 优化编译器 19.29.30146 版
版权所有(C) Microsoft Corporation。保留所有权利。

CMakeCCompilerId.c
Microsoft (R) Incremental Linker Version 14.29.30146.0
Copyright (C) Microsoft Corporation.  All rights reserved.

/out:CMakeCCompilerId.exe 
CMakeCCompilerId.obj 


Compilation of the C compiler identification source "CMakeCCompilerId.c" produced "CMakeCCompilerId.exe"

Compilation of the C compiler identification source "CMakeCCompilerId.c" produced "CMakeCCompilerId.obj"

The C compiler identification is MSVC, found in "C:/Users/Jerry/Documents/QtProjects/deeplink_build_1034/CMakeFiles/3.24.2/CompilerIdC/CMakeCCompilerId.exe"

Detecting C compiler ABI info compiled with the following output:
Change Dir: C:/Users/Jerry/Documents/QtProjects/deeplink_build_1034/CMakeFiles/CMakeTmp

Run Build Command(s):D:/Code/chromium/depot_tools/ninja.exe cmTC_f5378 && [1/2] Building C object CMakeFiles\cmTC_f5378.dir\CMakeCCompilerABI.c.obj

[2/2] Linking C executable cmTC_f5378.exe




Determining if the include file audioclient.h exists passed with the following output:
Change Dir: C:/Users/Jerry/Documents/QtProjects/deeplink_build_1034/CMakeFiles/CMakeTmp

Run Build Command(s):D:/Code/chromium/depot_tools/ninja.exe cmTC_e9b6c && [1/2] Building C object CMakeFiles\cmTC_e9b6c.dir\CheckIncludeFile.c.obj

[2/2] Linking C executable cmTC_e9b6c.exe




Determining if the alloca exist passed with the following output:
Change Dir: C:/Users/Jerry/Documents/QtProjects/deeplink_build_1034/CMakeFiles/CMakeTmp

Run Build Command(s):D:/Code/chromium/depot_tools/ninja.exe cmTC_7e04d && [1/2] Building C object CMakeFiles\cmTC_7e04d.dir\CheckSymbolExists.c.obj

[2/2] Linking C executable cmTC_7e04d.exe



File C:/Users/Jerry/Documents/QtProjects/deeplink_build_1034/CMakeFiles/CMakeTmp/CheckSymbolExists.c:
/* */
#include <stdlib.h>
#include <malloc.h>

int main(int argc, char** argv)
{
  (void)argv;
#ifndef alloca
  return ((int*)(&alloca))[argc];
#else
  (void)argc;
  return 0;
#endif
}
Determining if the lrintf exist passed with the following output:
Change Dir: C:/Users/Jerry/Documents/QtProjects/deeplink_build_1034/CMakeFiles/CMakeTmp

Run Build Command(s):D:/Code/chromium/depot_tools/ninja.exe cmTC_86a2a && [1/2] Building C object CMakeFiles\cmTC_86a2a.dir\CheckSymbolExists.c.obj

[2/2] Linking C executable cmTC_86a2a.exe



File C:/Users/Jerry/Documents/QtProjects/deeplink_build_1034/CMakeFiles/CMakeTmp/CheckSymbolExists.c:
/* */
#include <math.h>

int main(int argc, char** argv)
{
  (void)argv;
#ifndef lrintf
  return ((int*)(&lrintf))[argc];
#else
  (void)argc;
  return 0;
#endif
}
Determining if the lrint exist passed with the following output:
Change Dir: C:/Users/Jerry/Documents/QtProjects/deeplink_build_1034/CMakeFiles/CMakeTmp

Run Build Command(s):D:/Code/chromium/depot_tools/ninja.exe cmTC_ce5de && [1/2] Building C object CMakeFiles\cmTC_ce5de.dir\CheckSymbolExists.c.obj

[2/2] Linking C executable cmTC_ce5de.exe



File C:/Users/Jerry/Documents/QtProjects/deeplink_build_1034/CMakeFiles/CMakeTmp/CheckSymbolExists.c:
/* */
#include <math.h>

int main(int argc, char** argv)
{
  (void)argv;
#ifndef lrint
  return ((int*)(&lrint))[argc];
#else
  (void)argc;
  return 0;
#endif
}
Determining if the include file intrin.h exists passed with the following output:
Change Dir: C:/Users/Jerry/Documents/QtProjects/deeplink_build_1034/CMakeFiles/CMakeTmp

Run Build Command(s):D:/Code/chromium/depot_tools/ninja.exe cmTC_87f78 && [1/2] Building C object CMakeFiles\cmTC_87f78.dir\CheckIncludeFile.c.obj

[2/2] Linking C executable cmTC_87f78.exe




Determining if the include file xmmintrin.h exists passed with the following output:
Change Dir: C:/Users/Jerry/Documents/QtProjects/deeplink_build_1034/CMakeFiles/CMakeTmp

Run Build Command(s):D:/Code/chromium/depot_tools/ninja.exe cmTC_553d4 && [1/2] Building C object CMakeFiles\cmTC_553d4.dir\CheckIncludeFile.c.obj

[2/2] Linking C executable cmTC_553d4.exe




Determining if the include file emmintrin.h exists passed with the following output:
Change Dir: C:/Users/Jerry/Documents/QtProjects/deeplink_build_1034/CMakeFiles/CMakeTmp

Run Build Command(s):D:/Code/chromium/depot_tools/ninja.exe cmTC_42f82 && [1/2] Building C object CMakeFiles\cmTC_42f82.dir\CheckIncludeFile.c.obj

[2/2] Linking C executable cmTC_42f82.exe




Determining if the include file smmintrin.h exists passed with the following output:
Change Dir: C:/Users/Jerry/Documents/QtProjects/deeplink_build_1034/CMakeFiles/CMakeTmp

Run Build Command(s):D:/Code/chromium/depot_tools/ninja.exe cmTC_a6110 && [1/2] Building C object CMakeFiles\cmTC_a6110.dir\CheckIncludeFile.c.obj

[2/2] Linking C executable cmTC_a6110.exe




Determining if the include file immintrin.h exists passed with the following output:
Change Dir: C:/Users/Jerry/Documents/QtProjects/deeplink_build_1034/CMakeFiles/CMakeTmp

Run Build Command(s):D:/Code/chromium/depot_tools/ninja.exe cmTC_f6c58 && [1/2] Building C object CMakeFiles\cmTC_f6c58.dir\CheckIncludeFile.c.obj

[2/2] Linking C executable cmTC_f6c58.exe




Performing C SOURCE FILE Test AVX_SUPPORTED succeeded with the following output:
Change Dir: C:/Users/Jerry/Documents/QtProjects/deeplink_build_1034/CMakeFiles/CMakeTmp

Run Build Command(s):D:/Code/chromium/depot_tools/ninja.exe cmTC_aa25b && [1/2] Building C object CMakeFiles\cmTC_aa25b.dir\src.c.obj

[2/2] Linking C executable cmTC_aa25b.exe



Source file was:
int main(void) { return 0; }
Performing C SOURCE FILE Test FAST_MATH_SUPPORTED succeeded with the following output:
Change Dir: C:/Users/Jerry/Documents/QtProjects/deeplink_build_1034/CMakeFiles/CMakeTmp

Run Build Command(s):D:/Code/chromium/depot_tools/ninja.exe cmTC_c8d3d && [1/2] Building C object CMakeFiles\cmTC_c8d3d.dir\src.c.obj

[2/2] Linking C executable cmTC_c8d3d.exe



Source file was:
int main(void) { return 0; }
Performing C SOURCE FILE Test STACK_PROTECTOR_SUPPORTED succeeded with the following output:
Change Dir: C:/Users/Jerry/Documents/QtProjects/deeplink_build_1034/CMakeFiles/CMakeTmp

Run Build Command(s):D:/Code/chromium/depot_tools/ninja.exe cmTC_ae21c && [1/2] Building C object CMakeFiles\cmTC_ae21c.dir\src.c.obj

[2/2] Linking C executable cmTC_ae21c.exe



Source file was:
int main(void) { return 0; }
Performing C SOURCE FILE Test STACK_PROTECTOR_DISABLED_SUPPORTED succeeded with the following output:
Change Dir: C:/Users/Jerry/Documents/QtProjects/deeplink_build_1034/CMakeFiles/CMakeTmp

Run Build Command(s):D:/Code/chromium/depot_tools/ninja.exe cmTC_fd989 && [1/2] Building C object CMakeFiles\cmTC_fd989.dir\src.c.obj

[2/2] Linking C executable cmTC_fd989.exe



Source file was:
int main(void) { return 0; }
Performing C++ SOURCE FILE Test HAVE_STDATOMIC succeeded with the following output:
Change Dir: C:/Users/Jerry/Documents/QtProjects/deeplink_build_1034/CMakeFiles/CMakeTmp

Run Build Command(s):D:/Code/chromium/depot_tools/ninja.exe cmTC_b3445 && [1/2] Building CXX object CMakeFiles\cmTC_b3445.dir\src.cxx.obj

[2/2] Linking CXX executable cmTC_b3445.exe



Source file was:
#include <atomic>
#include <cstdint>

int main(int, char **)
{
    volatile std::atomic<char>    size_1;
    volatile std::atomic<short>   size_2;
    volatile std::atomic<int>     size_4;
    volatile std::atomic<int64_t> size_8;

    ++size_1;
    ++size_2;
    ++size_4;
    ++size_8;

    (void)size_1.load(std::memory_order_relaxed);
    (void)size_2.load(std::memory_order_relaxed);
    (void)size_4.load(std::memory_order_relaxed);
    (void)size_8.load(std::memory_order_relaxed);

    return 0;
}
